Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.payment
Class AuthorizationFailureException

    java.lang.Object
      PipelineException
          com.beasys.commerce.ebusiness.payment.AuthorizationFailureException

Deprecated

    @Deprecated
    public class AuthorizationFailureException

extends PipelineException

Signals that an authorization attempt was made with an invalid credit card. Typically this will result from an invalid credit card number or associated billing address.

Constructor Summary
`AuthorizationFailureException(String namespace, String messageKey)` Deprecated Constructs a AuthorizationFailureException
`AuthorizationFailureException(String namespace, String messageKey, Exception embeddedException)` Deprecated Constructs a AuthorizationFailureException
`AuthorizationFailureException(String namespace, String messageKey, Object[] arguments)` Deprecated Constructs a AuthorizationFailureException
`AuthorizationFailureException(String namespace, String messageKey, Object[] arguments, Exception embeddedException)` Deprecated Constructs a AuthorizationFailureException
`AuthorizationFailureException(String namespace, String messageKey, Object argument, Exception embeddedException)` Deprecated Constructs a AuthorizationFailureException

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuthorizationFailureException

    public AuthorizationFailureException(String namespace,
                                         String messageKey)

  Deprecated
  Constructs a AuthorizationFailureException

### AuthorizationFailureException

    public AuthorizationFailureException(String namespace,
                                         String messageKey,
                                         Exception embeddedException)

  Deprecated
  Constructs a AuthorizationFailureException

### AuthorizationFailureException

    public AuthorizationFailureException(String namespace,
                                         String messageKey,
                                         Object[] arguments)

  Deprecated
  Constructs a AuthorizationFailureException

### AuthorizationFailureException

    public AuthorizationFailureException(String namespace,
                                         String messageKey,
                                         Object argument,
                                         Exception embeddedException)

  Deprecated
  Constructs a AuthorizationFailureException

### AuthorizationFailureException

    public AuthorizationFailureException(String namespace,
                                         String messageKey,
                                         Object[] arguments,
                                         Exception embeddedException)

  Deprecated
  Constructs a AuthorizationFailureException

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.